Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 4901)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1)
@@ -778,17 +945,32 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pr )
-                CALL netcdf_handle_error( 'check_open', 30 )
-                CALL local_system( 'rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 30 )
+                CALL local_system( 'rm DATA_1D_PR_NETCDF' )
+             ENDIF
+
+          ENDIF          
 
           IF ( .NOT. netcdf_extend )  THEN
 !
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_pr, .FALSE., 31 )
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( 'DATA_1D_PR_NETCDF',                    &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_pr )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( 'DATA_1D_PR_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_pr )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( 'DATA_1D_PR_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_pr )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 31 )
 !
 !--          Define the header
-             CALL netcdf_define_header( 'pr', netcdf_extend, 0 )
+             CALL define_netcdf_header( 'pr', netcdf_extend, 0 )
 
           ENDIF
@@ -796,20 +978,18 @@
        CASE ( 105 )
 !
-!--       Set filename
-          filename = 'DATA_1D_TS_NETCDF' // TRIM( coupling_char )
-
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
+!--       Inquire, if there is a NetCDF file from a previuos run. This should
+!--       be opened for extension, if its variables match the actual run.
+          INQUIRE( FILE='DATA_1D_TS_NETCDF', EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
 !
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_ts, .FALSE., 32 )
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( 'ts', netcdf_extend, 0 )
+!--          Open an existing NetCDF file for output 
+             nc_stat = NF90_OPEN( 'DATA_1D_TS_NETCDF', NF90_WRITE, id_set_ts )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 32 )
+!
+!--          Read header information and set all ids. If there is a mismatch
+!--          between the previuos and the actual run, netcdf_extend is returned
+!--          as .FALSE.
+             CALL define_netcdf_header( 'ts', netcdf_extend, 0 )
 
 !
@@ -817,17 +997,32 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_ts )
-                CALL netcdf_handle_error( 'check_open', 33 )
-                CALL local_system( 'rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 33 )
+                CALL local_system( 'rm DATA_1D_TS_NETCDF' )
+             ENDIF
+
+          ENDIF          
 
           IF ( .NOT. netcdf_extend )  THEN
 !
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_ts, .FALSE., 34 )
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( 'DATA_1D_TS_NETCDF',                    &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_ts )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( 'DATA_1D_TS_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_ts )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( 'DATA_1D_TS_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_ts )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 34 )
 !
 !--          Define the header
-             CALL netcdf_define_header( 'ts', netcdf_extend, 0 )
+             CALL define_netcdf_header( 'ts', netcdf_extend, 0 )
 
           ENDIF
@@ -838,22 +1033,26 @@
 !--       Set filename depending on unit number
           IF ( file_id == 106 )  THEN
-             filename = 'DATA_3D_NETCDF' // TRIM( coupling_char )
+             filename = 'DATA_3D_NETCDF'
              av = 0
           ELSE
-             filename = 'DATA_3D_AV_NETCDF' // TRIM( coupling_char )
+             filename = 'DATA_3D_AV_NETCDF'
              av = 1
           ENDIF
 !
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its dimensions and variables match the actual run.
+!--       Inquire, if there is a NetCDF file from a previuos run. This should
+!--       be opened for extension, if its dimensions and variables match the
+!--       actual run.
           INQUIRE( FILE=filename, EXIST=netcdf_extend )
+
           IF ( netcdf_extend )  THEN
 !
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_3d(av), .TRUE., 35 )
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( '3d', netcdf_extend, av )
+!--          Open an existing NetCDF file for output 
+             nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_3d(av) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 35 )
+!
+!--          Read header information and set all ids. If there is a mismatch
+!--          between the previuos and the actual run, netcdf_extend is returned
+!--          as .FALSE.
+             CALL define_netcdf_header( '3d', netcdf_extend, av )
 
 !
@@ -861,34 +1060,30 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_3d(av) )
-                CALL netcdf_handle_error( 'check_open', 36 )
-                IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
-#if defined( __parallel )
-!
-!--             Set a barrier in order to assure that PE0 deleted the old file before any other
-!--             processor tries to open a new file.
-!--             Barrier is only needed in case of parallel I/O
-                IF ( netcdf_data_format > 4 )  CALL MPI_BARRIER( comm2d, ierr )
-#endif
-             ENDIF
-
-          ENDIF
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 36 )
+                CALL local_system('rm ' // TRIM( filename ) )
+             ENDIF
+
+          ENDIF          
 
           IF ( .NOT. netcdf_extend )  THEN
 !
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_3d(av), .TRUE., 37 )
-
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( filename,                               &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_3d(av) )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_3d(av) )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_3d(av) )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 37 )
 !
 !--          Define the header
-             CALL netcdf_define_header( '3d', netcdf_extend, av )
-
-!
-!--          In case of parallel netCDF output, create flag file which tells combine_plot_fields
-!--          that nothing is to do.
-             IF ( myid == 0  .AND.  netcdf_data_format > 4 )  THEN
-                OPEN( 99, FILE='NO_COMBINE_PLOT_FIELDS_3D' )
-                WRITE ( 99, '(A)' )  'no combine_plot_fields.x neccessary'
-                CLOSE( 99 )
-             ENDIF
+             CALL define_netcdf_header( '3d', netcdf_extend, av )
 
           ENDIF
@@ -897,21 +1092,18 @@
        CASE ( 107 )
 !
-!--       Set filename
-          filename = 'DATA_1D_SP_NETCDF' // TRIM( coupling_char )
-
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
+!--       Inquire, if there is a NetCDF file from a previuos run. This should
+!--       be opened for extension, if its variables match the actual run.
+          INQUIRE( FILE='DATA_1D_SP_NETCDF', EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
 !
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_sp, .FALSE., 38 )
-
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( 'sp', netcdf_extend, 0 )
+!--          Open an existing NetCDF file for output 
+             nc_stat = NF90_OPEN( 'DATA_1D_SP_NETCDF', NF90_WRITE, id_set_sp )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 38 )
+!
+!--          Read header information and set all ids. If there is a mismatch
+!--          between the previuos and the actual run, netcdf_extend is returned
+!--          as .FALSE.
+             CALL define_netcdf_header( 'sp', netcdf_extend, 0 )
 
 !
@@ -919,101 +1111,125 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_sp )
-                CALL netcdf_handle_error( 'check_open', 39 )
-                CALL local_system( 'rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 39 )
+                CALL local_system( 'rm DATA_1D_SP_NETCDF' )
+             ENDIF
+
+          ENDIF          
 
           IF ( .NOT. netcdf_extend )  THEN
 !
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_sp, .FALSE., 40 )
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( 'DATA_1D_SP_NETCDF',                    &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_sp )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( 'DATA_1D_SP_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_sp )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( 'DATA_1D_SP_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_sp )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 40 )
 !
 !--          Define the header
-             CALL netcdf_define_header( 'sp', netcdf_extend, 0 )
-
-          ENDIF
-
-!
-!--     Currently disabled
-!       CASE ( 108 )
-
-!          IF ( myid_char == '' )  THEN
-!             filename = 'DATA_PRT_NETCDF' // TRIM( coupling_char )
-!          ELSE
-!             filename = 'DATA_PRT_NETCDF' // TRIM( coupling_char ) // '/' //   &
-!                        myid_char
-!          ENDIF
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should
+             CALL define_netcdf_header( 'sp', netcdf_extend, 0 )
+
+          ENDIF
+
+
+       CASE ( 108 )
+
+          IF ( myid_char == '' )  THEN
+             filename = 'DATA_PRT_NETCDF'
+          ELSE
+             filename = 'DATA_PRT_NETCDF/' // myid_char
+          ENDIF
+!
+!--       Inquire, if there is a NetCDF file from a previuos run. This should
 !--       be opened for extension, if its variables match the actual run.
-!          INQUIRE( FILE=filename, EXIST=netcdf_extend )
-
-!          IF ( netcdf_extend )  THEN
-!
-!--          Open an existing netCDF file for output
-!             CALL netcdf_open_write_file( filename, id_set_prt, .FALSE., 41 )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
+
+          IF ( netcdf_extend )  THEN
+!
+!--          Open an existing NetCDF file for output 
+             nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_prt )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 41 )
 !
 !--          Read header information and set all ids. If there is a mismatch
-!--          between the previous and the actual run, netcdf_extend is returned
+!--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-!             CALL netcdf_define_header( 'pt', netcdf_extend, 0 )
+             CALL define_netcdf_header( 'pt', netcdf_extend, 0 )
 
 !
 !--          Remove the local file, if it can not be extended
-!             IF ( .NOT. netcdf_extend )  THEN
-!                nc_stat = NF90_CLOSE( id_set_prt )
-!                CALL netcdf_handle_error( 'check_open', 42 )
-!                CALL local_system( 'rm ' // TRIM( filename ) )
-!             ENDIF
-
-!          ENDIF
-
-!          IF ( .NOT. netcdf_extend )  THEN
+             IF ( .NOT. netcdf_extend )  THEN
+                nc_stat = NF90_CLOSE( id_set_prt )
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 42 )
+                CALL local_system( 'rm ' // filename )
+             ENDIF
+
+          ENDIF          
+
+          IF ( .NOT. netcdf_extend )  THEN
 
 !
 !--          For runs on multiple processors create the subdirectory
-!             IF ( myid_char /= '' )  THEN
-!                IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  &
-!                THEN    ! needs modification in case of non-extendable sets
-!                   CALL local_system( 'mkdir  DATA_PRT_NETCDF' //              &
-!                                       TRIM( coupling_char ) // '/' )
-!                ENDIF
+             IF ( myid_char /= '' )  THEN
+                IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before ) &
+                THEN    ! needs modification in case of non-extendable sets
+                   CALL local_system( 'mkdir  DATA_PRT_NETCDF/' )
+                ENDIF
 #if defined( __parallel )
 !
 !--             Set a barrier in order to allow that all other processors in the
 !--             directory created by PE0 can open their file
-!                CALL MPI_BARRIER( comm2d, ierr )
-#endif
-!             ENDIF
-
-!
-!--          Create a new netCDF output file with requested netCDF format
-!             CALL netcdf_create_file( filename, id_set_prt, .FALSE., 43 )
+                CALL MPI_BARRIER( comm2d, ierr )
+#endif
+             ENDIF
+
+!
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( filename,                               &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_prt )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_prt )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_prt )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 43 )
 
 !
 !--          Define the header
-!             CALL netcdf_define_header( 'pt', netcdf_extend, 0 )
-
-!          ENDIF
+             CALL define_netcdf_header( 'pt', netcdf_extend, 0 )
+
+          ENDIF
 
        CASE ( 109 )
 !
-!--       Set filename
-          filename = 'DATA_1D_SPTS_NETCDF' // TRIM( coupling_char )
-
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
+!--       Inquire, if there is a NetCDF file from a previuos run. This should
+!--       be opened for extension, if its variables match the actual run.
+          INQUIRE( FILE='DATA_1D_PTS_NETCDF', EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
 !
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_pts, .FALSE., 393 )
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( 'ps', netcdf_extend, 0 )
+!--          Open an existing NetCDF file for output 
+             nc_stat = NF90_OPEN( 'DATA_1D_PTS_NETCDF', NF90_WRITE, id_set_pts )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 393 )
+!
+!--          Read header information and set all ids. If there is a mismatch
+!--          between the previuos and the actual run, netcdf_extend is returned
+!--          as .FALSE.
+             CALL define_netcdf_header( 'ps', netcdf_extend, 0 )
 
 !
@@ -1021,173 +1237,37 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pts )
-                CALL netcdf_handle_error( 'check_open', 394 )
-                CALL local_system( 'rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 394 )
+                CALL local_system( 'rm DATA_1D_PTS_NETCDF' )
+             ENDIF
+
+          ENDIF          
 
           IF ( .NOT. netcdf_extend )  THEN
 !
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_pts, .FALSE., 395 )
+!--          Create a new NetCDF output file
+             IF ( netcdf_64bit )  THEN
+#if defined( __netcdf_64bit )
+                nc_stat = NF90_CREATE( 'DATA_1D_PTS_NETCDF',                   &
+                                       OR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ),&
+                                       id_set_pts )
+#else
+                IF ( myid == 0 )  PRINT*, '+++ WARNING: NetCDF: no 64-bit ', &
+                                               'offset allowed on this machine'
+                nc_stat = NF90_CREATE( 'DATA_1D_PTS_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_pts )
+#endif
+             ELSE
+                nc_stat = NF90_CREATE( 'DATA_1D_PTS_NETCDF', NF90_NOCLOBBER, &
+                                       id_set_pts )
+             ENDIF
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 395 )
 !
 !--          Define the header
-             CALL netcdf_define_header( 'ps', netcdf_extend, 0 )
-
-          ENDIF
-
-       CASE ( 118 )
-
-          IF ( myid == 0 )  THEN
-             filename = 'DATA_AGT_NETCDF'
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
-
-!
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_agt, .FALSE., 43 )
-
-!
-!--          Define the header
-             CALL netcdf_define_header( 'ag', netcdf_extend, 0 )
-          ENDIF
-
-!           IF ( netcdf_extend )  THEN
-! !
-! !--          Open an existing netCDF file for output
-!              CALL netcdf_open_write_file( filename, id_set_agt, .FALSE., 41 )
-! !
-! !--          Read header information and set all ids. If there is a mismatch
-! !--          between the previous and the actual run, netcdf_extend is returned
-! !--          as .FALSE.
-!              CALL netcdf_define_header( 'ag', netcdf_extend, 0 )
-!
-! !
-! !--          Remove the local file, if it can not be extended
-!              IF ( .NOT. netcdf_extend )  THEN
-!                 nc_stat = NF90_CLOSE( id_set_agt )
-!                 CALL netcdf_handle_error( 'check_open', 42 )
-!                 CALL local_system( 'rm ' // TRIM( filename ) )
-!              ENDIF
-!
-!           ENDIF
-
-          IF ( .NOT. netcdf_extend )  THEN
-
-!
-! !--          For runs on multiple processors create the subdirectory
-!              IF ( myid_char /= '' )  THEN
-!                 IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  &
-!                 THEN    ! needs modification in case of non-extendable sets
-!                    CALL local_system( 'mkdir  DATA_PRT_NETCDF' //              &
-!                                        TRIM( coupling_char ) // '/' )
-!                 ENDIF
-! #if defined( __parallel )
-! !
-! !--             Set a barrier in order to allow that all other processors in the
-! !--             directory created by PE0 can open their file
-!                 CALL MPI_BARRIER( comm2d, ierr )
-! #endif
-!              ENDIF
-
-          ENDIF
-
-
-!
-!--    nc-file for virtual flight measurements
-       CASE ( 199 )
-!
-!--       Set filename
-          filename = 'DATA_1D_FL_NETCDF' // TRIM( coupling_char )
-
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
-
-          IF ( netcdf_extend )  THEN
-!
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_fl, .FALSE., 532 )
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( 'fl', netcdf_extend, 0 )
-
-!
-!--          Remove the local file, if it can not be extended
-             IF ( .NOT. netcdf_extend )  THEN
-                nc_stat = NF90_CLOSE( id_set_fl )
-                CALL netcdf_handle_error( 'check_open', 533 )
-                CALL local_system( 'rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
-
-          IF ( .NOT. netcdf_extend )  THEN
-!
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_fl, .FALSE., 534 )
-!
-!--          Define the header
-             CALL netcdf_define_header( 'fl', netcdf_extend, 0 )
-
-          ENDIF
-
-
-       CASE ( 201:200+2*max_masks )
-!
-!--       Set filename depending on unit number
-          IF ( file_id <= 200+max_masks )  THEN
-             mid = file_id - 200
-             WRITE ( mask_char,'(A2,I2.2)')  '_M', mid
-             filename = 'DATA_MASK_NETCDF' // TRIM( coupling_char ) // mask_char
-             av = 0
-          ELSE
-             mid = file_id - (200+max_masks)
-             WRITE ( mask_char,'(A2,I2.2)')  '_M', mid
-             filename = 'DATA_MASK_AV_NETCDF' // TRIM( coupling_char ) // mask_char
-             av = 1
-          ENDIF
-!
-!--       Inquire, if there is a netCDF file from a previous run. This should be opened for
-!--       extension, if its dimensions and variables match the actual run.
-          INQUIRE( FILE=filename, EXIST=netcdf_extend )
-
-          IF ( netcdf_extend )  THEN
-!
-!--          Open an existing netCDF file for output
-             CALL netcdf_open_write_file( filename, id_set_mask(mid,av), .TRUE., 456 )
-!
-!--          Read header information and set all ids. If there is a mismatch between the previous
-!--          and the actual run, netcdf_extend is returned as .FALSE.
-             CALL netcdf_define_header( 'ma', netcdf_extend, file_id )
-
-!
-!--          Remove the local file, if it can not be extended
-             IF ( .NOT. netcdf_extend )  THEN
-                nc_stat = NF90_CLOSE( id_set_mask(mid,av) )
-                CALL netcdf_handle_error( 'check_open', 457 )
-                CALL local_system('rm ' // TRIM( filename ) )
-             ENDIF
-
-          ENDIF
-
-          IF ( .NOT. netcdf_extend )  THEN
-!
-!--          Create a new netCDF output file with requested netCDF format
-             CALL netcdf_create_file( filename, id_set_mask(mid,av), .TRUE. , 458 )
-!
-!--          Define the header
-             CALL netcdf_define_header( 'ma', netcdf_extend, file_id )
-
-          ENDIF
-
-
+             CALL define_netcdf_header( 'ps', netcdf_extend, 0 )
+
+          ENDIF
 #else
 
-       CASE ( 101:109, 111:113, 116, 201:200+2*max_masks )
+       CASE ( 101:109, 111:113, 116 )
 
 !
@@ -1199,6 +1279,10 @@
        CASE DEFAULT
 
-          WRITE( message_string, * ) 'no OPEN-statement for file-id ', file_id
-          CALL message( 'check_open', 'PA0172', 2, 2, -1, 6, 1 )
+          PRINT*,'+++ check_open: no OPEN-statement for file-id ',file_id
+#if defined( __parallel )
+          CALL MPI_ABORT( comm2d, 9999, ierr )
+#else
+          CALL local_stop
+#endif
 
     END SELECT
@@ -1210,8 +1294,19 @@
 !
 !-- Formats
-8000 FORMAT (A/                                                                                    &
-             '  step    time    # of parts     lPE sent/recv  rPE sent/recv  ',                    &
-             'sPE sent/recv  nPE sent/recv    max # of parts  '/                                   &
-             109('-'))
+3300 FORMAT ('#'/                                                   &
+             'coord 1  file=',A,'  filetype=unformatted'/           &
+             'coord 2  file=',A,'  filetype=unformatted  skip=',I6/ &
+             'coord 3  file=',A,'  filetype=unformatted  skip=',I6/ &
+             '#')
+4000 FORMAT ('# ',A)
+5000 FORMAT ('# ',A/                                                          &
+             '#1 E'/'#2 E*'/'#3 dt'/'#4 u*'/'#5 th*'/'#6 umax'/'#7 vmax'/     &
+             '#8 wmax'/'#9 div_new'/'#10 div_old'/'#11 z_i_wpt'/'#12 z_i_pt'/ &
+             '#13 w*'/'#14 w''pt''0'/'#15 w''pt'''/'#16 wpt'/'#17 pt(0)'/     &
+             '#18 pt(zp)'/'#19 splptx'/'#20 splpty'/'#21 splptz')
+8000 FORMAT (A/                                                            &
+             '  step    time  # of parts   lPE sent/recv  rPE sent/recv  ',&
+             'sPE sent/recv  nPE sent/recv  max # of parts'/               &
+             103('-'))
 
  END SUBROUTINE check_open
